{% load static %}

<div class="catalog-section">
    <div class="container">
        <hr>
        <div class="d-flex">
            <div class="catalog-filter">
                <!-- Заголовок для моб. версии -->
                <div class="mobile-filter-title">Фильтры</div>
                <div id="mobile-filter-close-btn"><img src="{% static 'img/icons/menu/close-filter.svg' %}" alt=""></div>

                <div class="founded-goods">Найдено <span>{{ paginator.count }}</span> товаров<br></div>
               {% include "catalogue/price_slider.html" %}
                <!-- Только товары в наличии -->
                <div class="in-stock switch-mode">
                    <input
                        type="checkbox"
                        id="in_stock"
                        name="Только в наличии"
                        class="available-button"
                        {% if 'available:True' in request.GET.filters %}active{% endif %}"
                    >
                    <label for="in_stock" class="t-label-variant1">
                        <span class="label-circle"></span>
                    </label>
                    <div class="label-name">только товары в наличии</div>
                </div>
                {% include "catalogue/standard_checkbox_filters.html" %}
                <div class="clear-filters reset-filters-btn">
                    <img src="{% static 'img/icons/menu/Close.svg' %}" alt="" class="img-svg">
                    очистить фильтры
                </div>
                <input type="hidden" id="initialFiltersState" value="{{ filters_state_json }}">
                <div class="mobile-submit-btn">
                    <button type="submit" class="t-btn">Показать 563 предложений</button>
                </div>
            </div>
            <div id="vue-wrapper-for-catalogue"  class="catalog-content">
                <div class="catalog-sorting">
                    <!-- Кнопка для моб. версии -->
                    <div id="mobile-filter-btn">
                        Фильтры <img src="{% static 'img/icons/systemic/filter.svg' %}" alt="" class="img-svg">
                    </div>
                    <div class="catalog-sorter">
                        <div class="catalog-sorter__info">
                            Сначала
                            <span id="sorter-value"> популярное</span>
                            <img src="{% static 'img/icons/systemic/down.svg' %}" alt="" class="active-arrow img-svg">
                            <img src="{% static 'img/icons/systemic/top.svg' %}" alt="" class="passive-arrow img-svg">
                        </div>
                        <div id="select-ctr">
                          <label class="input input-1" data-val="популярное">
                            сначала популярное
                            <input type="radio" name="Сортировка" value="популярное">
                          </label>

                          <label class="input input-2" data-val="дешевле">
                            сначала дешевле
                            <input type="radio" name="Сортировка" value="дешевле">
                          </label>

                          <label class="input input-3" data-val="дороже">
                            сначала дороже
                            <input type="radio" name="Сортировка" value="дороже">
                          </label>
                        </div>
                    </div>
                    <div class="catalog-card-sizes">
                        <button :class="['card-sizes-link', {active: isListViewActive}]" @click="onToggleViewType">
                            <img src="{% static 'img/icons/24px/Cards.svg' %}" alt="" class="img-svg">
                        </button>
                        <button :class="['card-sizes-link', {active: !isListViewActive}]" @click="onToggleViewType">
                            <img src="{% static 'img/icons/24px/List.svg' %}" alt="" class="img-svg">
                        </button>
                    </div>
                </div>

                <div class="updatable-container">
                    {% include "web/catalogue/partials/product_category_list.html" %}
                </div>
            </div>
        </div>
    </div>
</div>